From 83a6260c1761d64cb29b7718ad0754a735ef069c Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddy@enterprisedb.com>
Date: Wed, 17 Mar 2021 14:38:32 +0530
Subject: [PATCH v2] Improve PID XXXX is not a PostgreSQL server process
 message

Instead of the message "is not a server process" just say "is not
a backend process". This would make things clear that the given
PID is not a backend process but it can be some other process's pid
or some other postmaster child process's pid or an invalid pid.
---
 src/backend/storage/ipc/signalfuncs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/storage/ipc/signalfuncs.c b/src/backend/storage/ipc/signalfuncs.c
index 69fe23a256..4715d52933 100644
--- a/src/backend/storage/ipc/signalfuncs.c
+++ b/src/backend/storage/ipc/signalfuncs.c
@@ -64,7 +64,7 @@ pg_signal_backend(int pid, int sig)
 		 * if one backend terminated on its own during the run.
 		 */
 		ereport(WARNING,
-				(errmsg("PID %d is not a PostgreSQL server process", pid)));
+				(errmsg("PID %d is not a PostgreSQL backend process", pid)));
 		return SIGNAL_BACKEND_ERROR;
 	}
 
-- 
2.25.1

